View Issue Details

IDProjectCategoryView StatusLast Update
0010779LazarusWidgetsetpublic2010-04-02 11:57
ReporterLuiz Americo Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSUbuntu 
Product Version0.9.25 (SVN) 
Summary0010779: TScrolledWinControl does not scroll correctly non TWinControl childs under gtk2
DescriptionControls without handle are scrolled incorrectly under gtk2.

The DCOrigin offset is correctly set but since is relative to the scroll widget, that by your time is already scrolled, the effective DCOrigin offset is doubled.

This does not occurs under gtk and is different from the win32 problem.

Attached is an example.

v0.9.25 r14008 i386-linux-gtk
Tagsgtk2
Fixed in Revision24217
LazTarget1.2
WidgetsetGTK 2
Attached Files

Relationships

related to 0010952 closedVincent Snijders Strange scrolling in grids 
related to 0009049 closedVincent Snijders ScrollBox wrong ScrollBars position 
related to 0011010 closedAles Katona TScrollBox color change applies to only viewable area. 

Activities

2008-02-07 02:01

 

ScrollGtk2.zip (3,047 bytes)

Zeljan Rikalo

2010-03-26 22:22

developer   ~0036136

Luiz, can you please retest this one. tnx.

Luiz Americo

2010-04-02 05:06

developer   ~0036391

This issue is fixed. Thanks

Zeljan Rikalo

2010-04-02 08:35

developer   ~0036396

Please close.

Issue History

Date Modified Username Field Change
2008-02-07 02:01 Luiz Americo New Issue
2008-02-07 02:01 Luiz Americo File Added: ScrollGtk2.zip
2008-02-07 02:01 Luiz Americo Widgetset => GTK 2
2008-03-04 14:09 Vincent Snijders LazTarget => 1.2
2008-03-04 14:09 Vincent Snijders Status new => acknowledged
2008-04-12 12:44 Felipe Monteiro de Carvalho Tag Attached: gtk2
2008-04-16 16:12 Felipe Monteiro de Carvalho Relationship added related to 0010952
2008-04-16 16:12 Felipe Monteiro de Carvalho Relationship added related to 0009049
2008-04-16 18:48 Felipe Monteiro de Carvalho Relationship added related to 0011010
2010-03-26 22:22 Zeljan Rikalo Note Added: 0036136
2010-03-26 22:22 Zeljan Rikalo Status acknowledged => feedback
2010-04-02 05:06 Luiz Americo Note Added: 0036391
2010-04-02 08:35 Zeljan Rikalo Fixed in Revision => 24217
2010-04-02 08:35 Zeljan Rikalo Status feedback => resolved
2010-04-02 08:35 Zeljan Rikalo Resolution open => fixed
2010-04-02 08:35 Zeljan Rikalo Assigned To => Zeljan Rikalo
2010-04-02 08:35 Zeljan Rikalo Note Added: 0036396
2010-04-02 11:57 Luiz Americo Status resolved => closed